package com.jeeplus.modules.sys.service;


import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.sys.dao.RoleDao;
import com.jeeplus.modules.sys.entity.Role;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(readOnly = true)
public class RoleService extends CrudService<RoleDao,Role> {


    @Autowired
    private RoleDao roleDao;

    public Role get(String roleId){
        return roleDao.get(roleId);
    }

    public List<Role> getRoleByCompanyId(String roleId, String companyId){
        return roleDao.getRoleByCompanyId(roleId,companyId);
    }

}
